@echo off
color fc
cls
echo.
echo **********************************************************
echo Iniciando programa de registro de FACe para SICAN AN 2006
echo **********************************************************
echo.
echo.

echo IMPORTANTE!!!
echo    Si utiliza Windows Vista, Windows 7 o Windows 8
echo    es necesario que ejecute este instalador como Administrador:
echo    HAGA CLICK DERECHO SOBRE ESTE FICHERO Y ELIJA "EJECUTAR COMO ADMINISTRADOR"
echo IMPORTANTE!!!
echo.
echo.

Set msLib=msvcr71.dll
Set vfp1Lib=vfp9resn.dll
Set vfp2Lib=vfp9t.dll
Set faceLib=face.dll
Set copiaLib=sicalcopia.dll

Set EntradaRegistro=HKLM\Hardware\Description\System\CentralProcessor\0
REG.exe Query %EntradaRegistro% > "%~dp0\CheckOS.txt"
Find /i "x86" < "%~dp0\CheckOS.txt" > "%~dp0\StringCheck.txt"
 
if %ERRORLEVEL% == 0 (
    echo Esta version de Windows es de 32 bits
	echo Procedemos a instalar las librerias FACe en %systemroot%\System32

	copy "%~dp0\%msLib%" %systemroot%\System32\%msLib%
	copy "%~dp0\%vfp1Lib%" %systemroot%\System32\%vfp1Lib%
	copy "%~dp0\%vfp2Lib%" %systemroot%\System32\%vfp2Lib%
	
	copy "%~dp0\%faceLib%" %systemroot%\System32\%faceLib%
	%systemroot%\System32\regsvr32 /s /u %systemroot%\System32\%faceLib%
	%systemroot%\System32\regsvr32 %systemroot%\System32\%faceLib%
	
	copy "%~dp0\%copiaLib%" %systemroot%\System32\%copiaLib%
	%systemroot%\System32\regsvr32 /s /u %systemroot%\System32\%copiaLib%
	%systemroot%\System32\regsvr32 %systemroot%\System32\%copiaLib%
	
) else (
    echo Esta version de Windows es de 64 bits
	echo Procedemos a instalar las librerias FACe en %systemroot%\SysWOW64
	
	copy "%~dp0\%msLib%" %systemroot%\SysWOW64\%msLib%
	copy "%~dp0\%vfp1Lib%" %systemroot%\SysWOW64\%vfp1Lib%
	copy "%~dp0\%vfp2Lib%" %systemroot%\SysWOW64\%vfp2Lib%
	
	copy "%~dp0\%faceLib%" %systemroot%\SysWOW64\%faceLib%
	%systemroot%\SysWOW64\regsvr32 /s /u %systemroot%\SysWOW64\%faceLib%
	%systemroot%\SysWOW64\regsvr32 %systemroot%\SysWOW64\%faceLib%
	
	copy "%~dp0\%copiaLib%" %systemroot%\SysWOW64\%copiaLib%
	%systemroot%\SysWOW64\regsvr32 /s /u %systemroot%\SysWOW64\%copiaLib%
	%systemroot%\SysWOW64\regsvr32 %systemroot%\SysWOW64\%copiaLib%
)

echo.
echo Instalacion terminada. Pulse una tecla para salir
echo.
del "%~dp0\CheckOS.txt"
del "%~dp0\StringCheck.txt"
pause